Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pubnub.api
Class HttpUtil

    java.lang.Object
      com.pubnub.api.HttpUtil

    public class HttpUtil

extends java.lang.Object

Field Summary
`static int` | `HTTP_BAD_GATEWAY`
`static int` | `HTTP_BAD_REQUEST`
`static int` | `HTTP_CLIENT_TIMEOUT`
`static int` | `HTTP_FORBIDDEN`
`static int` | `HTTP_GATEWAY_TIMEOUT`
`static int` | `HTTP_INTERNAL_ERROR`
`static int` | `HTTP_MOVED_PERM`
`static int` | `HTTP_MOVED_TEMP`
`static int` | `HTTP_OK`
`static int` | `HTTP_SEE_OTHER`
`static int` | `HTTP_UNAUTHORIZED`

Constructor Summary
`HttpUtil()`

Method Summary
`static boolean` | `checkResponse(int rc)`
`static boolean` | `checkResponseSuccess(int rc)`
`static boolean` | `isOk(int rc)`
`static boolean` | `isRedirect(int rc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_MOVED_PERM

    public static final int HTTP_MOVED_PERM

See Also:
  Constant Field Values

### HTTP_MOVED_TEMP

    public static final int HTTP_MOVED_TEMP

See Also:
  Constant Field Values

### HTTP_SEE_OTHER

    public static final int HTTP_SEE_OTHER

See Also:
  Constant Field Values

### HTTP_OK

    public static final int HTTP_OK

See Also:
  Constant Field Values

### HTTP_FORBIDDEN

    public static final int HTTP_FORBIDDEN

See Also:
  Constant Field Values

### HTTP_UNAUTHORIZED

    public static final int HTTP_UNAUTHORIZED

See Also:
  Constant Field Values

### HTTP_BAD_REQUEST

    public static final int HTTP_BAD_REQUEST

See Also:
  Constant Field Values

### HTTP_BAD_GATEWAY

    public static final int HTTP_BAD_GATEWAY

See Also:
  Constant Field Values

### HTTP_CLIENT_TIMEOUT

    public static final int HTTP_CLIENT_TIMEOUT

See Also:
  Constant Field Values

### HTTP_GATEWAY_TIMEOUT

    public static final int HTTP_GATEWAY_TIMEOUT

See Also:
  Constant Field Values

### HTTP_INTERNAL_ERROR

    public static final int HTTP_INTERNAL_ERROR

See Also:
  Constant Field Values

Constructor Detail

### HttpUtil

    public HttpUtil()

Method Detail

### isRedirect

    public static boolean isRedirect(int rc)

### isOk

    public static boolean isOk(int rc)

### checkResponse

    public static boolean checkResponse(int rc)

### checkResponseSuccess

    public static boolean checkResponseSuccess(int rc)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD